<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Pearson Web Component</title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />
    <link rel="stylesheet" href="https://unpkg.com/@pearson-ux/gravity-css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/webcomponents-loader.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/webcomponentsjs/1.2.0/custom-elements-es5-adapter.js"></script>
    <script src="js/dist/pearson-quiz.js"></script>
  </head>

  <body>

  </body>
  <script>
    (function () {
      'use strict'
      const quiz = document.createElement('pearson-quiz')

      fetch('./data/examQuestions.json').then(response => response.json())
      .then(data => {
        quiz.data = {};
        quiz.data.questionIds = data.responseData.questionIds;
        quiz.data.numberOfQuestions = quiz.data.questionIds.length
        fetch('./data/mc-question-data.json').then(response => response.json())
        .then(question => {
          quiz.data.question = question.responseData.question;
          quiz.question = 1
          document.body.appendChild(quiz)
        });
      });

      const pagination = quiz.shadowRoot.querySelector('pearson-pagination')

      pagination.addEventListener('previousPage', event => {
        console.log('remove quiz component and re render a new component with new data');
        quiz.question = parseInt(quiz.question) - 1;
      })

      pagination.addEventListener('nextPage', event => {
        console.log('remove quiz component and re render a new component with new data');
        quiz.question = parseInt(quiz.question) + 1;
      })



    })()

  </script>
</html>
